#ifndef HDUSTEST_RECORD_H
#define HDUSTEST_RECORD_H


class CRecordOption {
public:
	enum FileExistsOperation {
		EXISTS_OVERWRITE,
		EXISTS_CONFIRM,
		EXISTS_SEQUENCIALNUMBER
	};
private:
	TCHAR m_szFileName[MAX_PATH];
	FileExistsOperation m_ExistsOperation;
	bool m_fStopTimeSpec;
	bool m_fStopDateTime;
	unsigned int m_StopTime;
	FILETIME m_ftStopTime;
	unsigned int m_StartTime;
	FILETIME m_ftStartTime;
	static BOOL CALLBACK DlgProc(HWND hDlg,UINT uMsg,WPARAM wParam,LPARAM lParam);
	static BOOL CALLBACK StopTimeDlgProc(HWND hDlg,UINT uMsg,WPARAM wParam,LPARAM lParam);
public:
	CRecordOption();
	~CRecordOption();
	bool SetFileName(LPCTSTR pszFileName);
	LPCTSTR GetFileName() const { return m_szFileName; }
	bool SetFileExistsOperation(FileExistsOperation Operation);
	FileExistsOperation GetFileExistsOperation() const { return m_ExistsOperation; }
	bool SetStopTimeSpec(bool fSpec);
	bool GetStopTimeSpec() const {return m_fStopTimeSpec; }
	bool SetStopTime(unsigned int Time);
	unsigned int GetStopTime() const { return m_StopTime; }
	bool StartRecord();
	bool QueryStop() const;
	bool ShowDialog(HWND hwndOwner,HINSTANCE hinst);
	bool DoFileExistsOperation(HWND hwndOwner,LPTSTR pszFileName);
	DWORD CalcStopTime(DWORD StartTime);
	bool ChangeStopTimeDialog(HWND hwndOwner,HINSTANCE hinst);
};


#endif
